Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services
Interface ServiceManager

All Superinterfaces:
  ServiceBroker

All Known Implementing Classes:
  TurbineServices

    public interface ServiceManager

extends ServiceBroker

Classes that implement this interface can act as a manager for `Service` classes. Functionality that `ServiceManager` provides in addition to `ServiceBroker` functionality includes configuration of the manager.

Version:
  $Id: ServiceManager.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Ilkka Priha, Martin Poeschl, Henning P. Schmiedehausen

Method Summary
`org.apache.commons.configuration.Configuration` | `getConfiguration()` Get the configuration for this service manager.
`void` | `init()` Initialize this service manager.
`void` | `setApplicationRoot(String applicationRoot)` Set the application root.
`void` | `setConfiguration(org.apache.commons.configuration.Configuration configuration)` Set the configuration object for the services broker.

Methods inherited from interface org.apache.turbine.services.ServiceBroker
`getConfiguration, getService, initService, isRegistered, shutdownService, shutdownServices`

Method Detail

### init

    void init()
              throws InitializationException

  Initialize this service manager.

  Throws:
    `InitializationException`

### getConfiguration

    org.apache.commons.configuration.Configuration getConfiguration()

  Get the configuration for this service manager.

  Returns:
    Manager configuration.

### setConfiguration

    void setConfiguration(org.apache.commons.configuration.Configuration configuration)

  Set the configuration object for the services broker. This is the configuration that contains information about all services in the care of this service manager.

  Parameters:
    `configuration` - Manager configuration.

### setApplicationRoot

    void setApplicationRoot(String applicationRoot)

  Set the application root.

  Parameters:
    `applicationRoot` - application root

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.